PIRL.Conductor.Maestro

## Class New_Conductor_Dialog

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Dialog
        - - javax.swing.JDialog
          - - PIRL.Conductor.Maestro.New_Conductor_Dialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class New_Conductor_Dialog
    extends JDialog

New_Conductor_Dialog provides a dialog used to interactively obtain the information needed to form a command line that will start a Conductor.

New_Conductor_Dialog is a reusable dialog. Once constructed it only needs to be setVisible to be activated. If it had been used previously the previous field values will remain.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JDialog

`JDialog.AccessibleJDialog`

### Nested classes/interfaces inherited from class java.awt.Dialog

`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

### Nested classes/interfaces inherited from class java.awt.Window

`Window.AccessibleAWTWindow, Window.Type`

### Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

### Field Summary

Fields
`static boolean` `DEFAULT_WAIT_TO_START`
`static String` `ID` Class name and version identification.

### Fields inherited from class javax.swing.JDialog

`accessibleContext, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`New_Conductor_Dialog()` Constructs a default New_Conductor_Dialog.
`New_Conductor_Dialog(String title, Frame owner)` Constructs a New_Conductor_Dialog.
`New_Conductor_Dialog(String title, Frame owner, boolean modal)` Constructs a New_Conductor_Dialog.
`New_Conductor_Dialog(String title, Frame owner, boolean modal, String pipeline)` Constructs a New_Conductor_Dialog.
`New_Conductor_Dialog(String title, Frame owner, boolean modal, String name, String pipeline, String catalog, String configuration, String server, int count, boolean wait_to_start)` Constructs a New_Conductor_Dialog.

### Method Summary

Methods
`String` `Catalog()` Get the database catalog name.
`New_Conductor_Dialog` `Catalog(String name)` Set the database catalog name.
`String` `Configuration()` Get the configuration source name.
`New_Conductor_Dialog` `Configuration(String name)` Set the configuration source name.
`int` `Count()` Get the Conductor count.
`New_Conductor_Dialog` `Count(int count)` Set the Conductor count.
`static boolean` `Default_Wait_to_Start()` Set the default wait-to-start mode.
`static void` `Default_Wait_to_Start(boolean wait_to_start)` Get the default wait-to-start mode.
`String` `Name()` Get the Conductor name.
`New_Conductor_Dialog` `Name(String name)` Set the Conductor name.
`String` `Pipeline()` Get the pipeline name.
`New_Conductor_Dialog` `Pipeline(String name)` Set the pipeline name.
`String` `Server()` Get the database server name.
`New_Conductor_Dialog` `Server(String name)` Set the database server name.
`Message` `Start_Conductor_Message()` Get the Conductor command line description message.
`static Message` `Start_Conductor_Message(String title, JFrame owner)` Get a Message that defines a command line to start a Conductor.
`String` `Title()` Get the dialog title.
`New_Conductor_Dialog` `Title(String title)` Set the dialog title.
`boolean` `Wait_to_Start()` Test if wait-to-start is selected.
`New_Conductor_Dialog` `Wait_to_Start(boolean wait_to_start)` Set the wait-to-start mode.

### Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Dialog

`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class name and version identification.

See Also:
  Constant Field Values

#### DEFAULT_WAIT_TO_START

    public static final boolean DEFAULT_WAIT_TO_START

See Also:
  Constant Field Values

### Constructor Detail

#### New_Conductor_Dialog

    public New_Conductor_Dialog(String title,
                        Frame owner,
                        boolean modal,
                        String name,
                        String pipeline,
                        String catalog,
                        String configuration,
                        String server,
                        int count,
                        boolean wait_to_start)

Constructs a New_Conductor_Dialog.

Parameters:
  `title` - The title String for the dialog window. If null "Start Conductor" will be used.
  `owner` - The Frame with which the dialog is associated, which may be null in which case the dialog will be associated with the display.
  `modal` - If true, the dialog will be modal; if false, the dialog will not be modal.
  `name` - The name of the Conductor definition. If null the `pipeline` name is used.
  `pipeline` - The name of the pipeline to be managed by the Conductor. May be null, but if the corresponding field is not filled in when the Accept button is pressed a Notice Dialog_Box will be shown and the Accept will be aborted.
  `catalog` - The name of the database catalog containing the pipeline tables. May be null.
  `configuration` - The pathname for the configuration file to be used by Conductor. If null, the `Conductor.DEFAULT_CONFIGURATION_FILENAME` will be used.
  `server` - The name of the database server access parameters group in the configuration file. May be null.
  `count` - The number of Conductors to start.
  `wait_to_start` - The `WAIT_TO_START` mode for a Conductor will be set to this value.

#### New_Conductor_Dialog

    public New_Conductor_Dialog(String title,
                        Frame owner,
                        boolean modal,
                        String pipeline)

Constructs a New_Conductor_Dialog.

The default name, catalog, configuration pathname, server name and count will be used and wait-to-start will be true.

Parameters:
  `title` - The title String for the dialog window. If null "Start Conductor" will be used.
  `owner` - The Frame with which the dialog is associated, which may be null in which case the dialog will be associated with the display.
  `modal` - If true, the dialog will be modal; if false, the dialog will not be modal.
  `pipeline` - The name of the pipeline to be managed by the Conductor. May be null, but if the corresponding field is not filled in when the Accept button is pressed a Notice Dialog_Box will be shown and the Accept will be aborted.

#### New_Conductor_Dialog

    public New_Conductor_Dialog(String title,
                        Frame owner,
                        boolean modal)

Constructs a New_Conductor_Dialog.

The default name, catalog, configuration pathname, pipeline name, server name and count will be used and wait-to-start will be true.

Parameters:
  `title` - The title String for the dialog window. If null "Start Conductor" will be used.
  `owner` - The Frame with which the dialog is associated, which may be null in which case the dialog will be associated with the display.
  `modal` - If true, the dialog will be modal; if false, the dialog will not be modal.

#### New_Conductor_Dialog

    public New_Conductor_Dialog(String title,
                        Frame owner)

Constructs a New_Conductor_Dialog.

The default name, catalog, configuration pathname, pipeline name, server name and count will be used and wait-to-start will be true. The dialog will be modal.

Parameters:
  `title` - The title String for the dialog window. If null "Start Conductor" will be used.
  `owner` - The Frame with which the dialog is associated, which may be null in which case the dialog will be associated with the display.

#### New_Conductor_Dialog

    public New_Conductor_Dialog()

Constructs a default New_Conductor_Dialog.

### Method Detail

#### Start_Conductor_Message

    public static Message Start_Conductor_Message(String title,
                                  JFrame owner)

Get a Message that defines a command line to start a Conductor.

A New_Conductor_Dialog is constructed, set visible and the resulting `message`, if any, is returned. The dialog will be modal and the default pipeline name, catalog, configuration pathname, server name and count will be used and wait-to-start will be true.

Parameters:
  `title` - The title String for the dialog window. If null "Start Conductor" will be used.
  `owner` - The Frame with which the dialog is associated, which may be null in which case the dialog will be associated with the display.

#### Title

    public String Title()

Get the dialog title.

Returns:
  The title String to be displayed in the dialog window header bar.
See Also:
  `Title(String)`

#### Title

    public New_Conductor_Dialog Title(String title)

Set the dialog title.

Parameters:
  `title` - The title String to be displayed in the dialog window header bar.
Returns:
  This New_Conductor_Dialog.

#### Name

    public String Name()

Get the Conductor name.

Returns:
  The name of the Conductor definition. This will be null if no name has been specified.
See Also:
  `Name(String)`

#### Name

    public New_Conductor_Dialog Name(String name)

Set the Conductor name.

Parameters:
  `name` - The name of the Conductor definition. If null the `pipeline` name is used.
Returns:
  This New_Conductor_Dialog.

#### Pipeline

    public String Pipeline()

Get the pipeline name.

Returns:
  The name of the pipeline. This will be null if no pipeline has been specified.
See Also:
  `Pipeline(String)`

#### Pipeline

    public New_Conductor_Dialog Pipeline(String name)

Set the pipeline name.

If the `Conductor name` is null it is set to the pipeline name.

Parameters:
  `name` - The name of the pipeline. May be null.
Returns:
  This New_Conductor_Dialog.

#### Catalog

    public String Catalog()

Get the database catalog name.

Returns:
  The name of the catalog. This will be null if no catalog has been specified.
See Also:
  `Catalog(String)`

#### Catalog

    public New_Conductor_Dialog Catalog(String name)

Set the database catalog name.

Parameters:
  `name` - The name of the database catalog. May be null.
Returns:
  This New_Conductor_Dialog.

#### Configuration

    public String Configuration()

Get the configuration source name.

Returns:
  The source name for the configuration file. This will be null if no configuration source has been specified.
See Also:
  `Configuration(String)`

#### Configuration

    public New_Conductor_Dialog Configuration(String name)

Set the configuration source name.

Parameters:
  `name` - The source name for the configuration file. May be null.
Returns:
  This New_Conductor_Dialog.

#### Server

    public String Server()

Get the database server name.

Returns:
  The name of the database server as listed in the Server list of the configuration file used by the Conductor. This will be null if no database server has been specified.
See Also:
  `Server(String)`

#### Server

    public New_Conductor_Dialog Server(String name)

Set the database server name.

Parameters:
  `name` - The name of the database server as listed in the Server list of the configuration file used by the Conductor. May be null.
Returns:
  This New_Conductor_Dialog.

#### Wait_to_Start

    public boolean Wait_to_Start()

Test if wait-to-start is selected.

Returns:
  true if wait-to-start has been selected; false otherwise.
See Also:
  `Wait_to_Start(boolean)`

#### Wait_to_Start

    public New_Conductor_Dialog Wait_to_Start(boolean wait_to_start)

Set the wait-to-start mode.

When wait-to-start mode is enabled the Conductor will be told to wait for a start message from a Manager before source processing begins. Otherwise the Conductor will begin processing sources immediately after it has initialized.

Parameters:
  `wait_to_start` - The value of the Coductor wait-to-start mode.
Returns:
  This New_Conductor_Dialog.

#### Default_Wait_to_Start

    public static boolean Default_Wait_to_Start()

Set the default wait-to-start mode.

Returns:
  The default value of the Coductor wait-to-start mode.
See Also:
  `Default_Wait_to_Start(boolean)`

#### Default_Wait_to_Start

    public static void Default_Wait_to_Start(boolean wait_to_start)

Get the default wait-to-start mode.

Parameters:
  `wait_to_start` - The default value of the Coductor wait-to-start mode if it is not otherwise specified.
See Also:
  `Wait_to_Start(boolean)`

#### Count

    public int Count()

Get the Conductor count.

Returns:
  The number of Conductors to be started.
See Also:
  `Count(int)`

#### Count

    public New_Conductor_Dialog Count(int count)

Set the Conductor count.

Parameters:
  `count` - The number of Conductors to be started. The value will be limited to the range 1 - `Stage_Manager.DEFAULT_MAX_START_CONDUCTORS_COUNT`. N.B.: The Stage_Manager being employed may have been configured to impose a lower maximum value.
Returns:
  This New_Conductor_Dialog.

#### Start_Conductor_Message

    public Message Start_Conductor_Message()

Get the Conductor command line description message.

@return The Message that was generated the last time this dialog was used and Accept was pressed. This will be null if the dialog was not previously used or the last time it was used Cancel was pressed.